## samba 1.9.16p9

=== source/Makefile ===
###########################################################################
# Makefile for Samba SMB client/server for unix
# Copyright Andrew Tridgell 1992-1996
###########################################################################

# The base manpages directory to put the man pages in
# Note: $(MANDIR)/man1, $(MANDIR)/man5 and $(MANDIR)/man8 must exist.
MANDIR = /usr/local/man

# The directories to put things in. If you use multiple
# architectures or share the samba binaries across NFS then
# you will probably want to change this layout.
BASEDIR = /usr/local/samba
BINDIR = $(BASEDIR)/bin
SBINDIR = $(BASEDIR)/bin
LIBDIR = $(BASEDIR)/lib
VARDIR = $(BASEDIR)/var

# The permissions to give the executables
INSTALLPERMS = 0755

# Add any optimisation or debugging flags here
# add -DSYSLOG for syslog support
FLAGS1 = -O
LIBS1 = 

# You will need to use a ANSI C compiler. This means under SunOS 4 you can't 
# use cc, instead you will have to use gcc. 
# CC = gcc

# This may help with some versions of make
SHELL = /bin/sh

# The following can be useful for compiling on multiple architectures
# just uncommment them putting the right directory in.
# srcdir=./
# VPATH=$(srcdir)

# set these to where to find various files
# These can be overridden by command line switches (see smbd(8))
# or in smb.conf (see smb.conf(5))
SMBLOGFILE = $(VARDIR)/log.smb
NMBLOGFILE = $(VARDIR)/log.nmb
CONFIGFILE = $(LIBDIR)/smb.conf
LMHOSTSFILE = $(LIBDIR)/lmhosts

# the directory where lock files go
LOCKDIR = $(VARDIR)/locks

# set this to the default group you want your machine to appear in
# for browsing. This can also be set in nmbd (see nmbd(8))
WORKGROUP = WORKGROUP

# set this to the name of the default account, which is the one
# to use when no username or password is specified.  This can be overridden
# in the runtime configuration file (see smb.conf(5))
# NOTE: The account "nobody" may not be a good one as
# on many unixes it may not be able to print. Thus you
# might have to create a separate guest account that can print.
GUESTACCOUNT = nobody

# where you are going to have the smbrun binary. This defaults to the 
# install directory. This binary is needed for correct printing
# and magic script execution. This should be an absolute path!
# Also not that this should include the name "smbrun" on the end (the
# name of the executable)
SMBRUN = $(BINDIR)/smbrun

# This is for AFS authentication.  If you use AFS then set AFS_BASE 
# according to your system layout, and uncomment the other lines as well.
# AFS_BASE = /usr/afsws
# AFS_FLAGS = -DAFS_AUTH -I$(AFS_BASE)/include
# AFS_LIBDIR = $(AFS_BASE)/lib
# NOTE: You may need to add -laudit in the line below
# AFS_LIBS = -L$(AFS_LIBDIR) -L$(AFS_LIBDIR)/afs -lkauth -lprot -lubik \
#                -lauth -lrxkad -lsys -ldes -lrx -llwp -lcom_err \
#                $(AFS_LIBDIR)/afs/util.a

# This is for DCE/DFS enablement. Uncomment this so that smbd can
# operate as an authenticated user identity to operate on files that
# live in the DCE Distributed Filesystem.
# DCE_BASE = /opt/dcelocal
# DCE_FLAGS = -I$(DCE_BASE)/include
# DCE_LIBDIR = -L$(DCE_BASE)/lib
# DCE_LIBS =

# This is for SMB encrypted (lanman) passwords.
# you may wish to add -DREPLACE_GETPASS if your getpass() is limited
# to 8 chars
# DES_BASE=/usr/local/libdes
# DES_FLAGS= -I$(DES_BASE)
# DES_LIB= -L$(DES_BASE) -ldes
# PASSWD_FLAGS=-DSMB_PASSWD=\"$(BINDIR)/smbpasswd\" -DSMB_PASSWD_FILE=\"$(BASEDIR)/private/smbpasswd\"

######################################
# VTP-Support
#
# uncomment the following two lines to enable VTP-Support
#VTP_FLAGS = -DWITH_VTP
#VTP_OBJ = vt_mode.o
######################################

######################################
# WHICH AWK? awk is used for automatic prototype generation. GNU awk works
# where inferior awks don't. Sun is one manufacturer who supplies both
# a broken awk called 'awk' and a fixed one called 'nawk'. mkproto.awk will
# only work with the latter, and even that isn't as good as free GNU awk.
#
# Leave this uncommented; the OS-specific stuff will override it if required
AWK = awk
######################################

#####################################
# WHICH OPERATING SYSTEM?
# UNCOMMENT ONE OF THE SECTIONS BELOW
# MAKE SURE ONLY *ONE* IS UNCOMMENTED
#
# The following are additional flags that may apply
#   -DNETGROUP if your machine supports yp netgroups
#   -DSHADOW_PWD if you are using shadow passwords
#   -DGETPWANAM if you wish to use getpwanam() call
#   -DPWDAUTH if you have and want to use the pwdauth() call
#   -DUFC_CRYPT if you want the fast crypt routine
#   -DALLOW_CHANGE_PASSWORD if you want users to be able to set their password
#                           remotely (only works on some systems)
#   -DQUOTAS for quota support in disk_free(). This probably only works 
#            on some systems.
#   -DFAST_SHARE_MODES=1 if you want the fast shared memory instead of the
#                      slow description files for share mode locking. This
#                      requires the mmap() and lockf() system calls.
#
#    NOTE: GETPWANAM & PWDAUTH are mutually exclusive, if you
#          Define one, you should NOT define the other.
#####################################

#####################################
# for the JAPANESE EXTENSION
# select filename's code set for KANJI/KANA in UNIX,
# apply the following flag
#   -DKANJI=\"<code>\"
#        <code> is select character code set for JAPAN.
#             sjis:   if your machine support SJIS
#             euc:      if your machine support EUC
#             jis7:     if your machine support JIS7
#             jis8:     if your machine support JIS8
#             junet:    if your machine support jis7 + junet rule
#             hex:      if your machine only support 7 bits ascii filename only
#                       convert to hexdecimal code preseeding ':'.
# see also README.jis
######################################


# This is for SUNOS 4. Use the SUNOS5 entry for Solaris 2.
# Note that you cannot use Suns "cc" compiler
# as it's not an Ansi-C compiler. Get gcc or acc. 
# Note that if you have adjunct passwords you may need the GETPWANAM 
# or PWDAUTH option. There have been reports that using PWDAUTH may crash
# your pwdauthd server so GETPWANAM is preferable (and probably faster)
# contributed by Andrew.Tridgell@anu.edu.au
# FLAGSM = -DSUNOS4
# LIBSM =   
# AWK = nawk 

# Use this for Linux with shadow passwords
# contributed by Andrew.Tridgell@anu.edu.au
# add -DLINUX_BIGCRYPT is you have shadow passwords but don't have the
# right libraries and includes
# FLAGSM = -DLINUX -DSHADOW_PWD
# LIBSM = -lshadow

# Use this for Linux without shadow passwords
# contributed by Andrew.Tridgell@anu.edu.au
# FLAGSM = -DLINUX
# LIBSM = 

# Use this for Linux with shadow passwords and quota
# contributed by xeno@mix.hive.no
# Tested on the 1.3.57 kernel and ext2fs filesystem.
# Notes:
# /usr/include/sys/quota.h must be a symlink to /usr/include/linux/quota.h
# The directory quota here must be a symlink to your quota package.
# I just do 'ln -sf /usr/src/quota-1.50 quota' in this directory to get it to work.
# FLAGSM = -O3 -m486 -DLINUX -DSHADOW_PWD -DQUOTAS
# LIBSM = -lshadow


# This is for SUNOS5 (also known as Solaris 2)
# contributed by Andrew.Tridgell@anu.edu.au
# FLAGSM = -DSUNOS5 -DSHADOW_PWD -DNETGROUP 
# LIBSM = -lsocket -lnsl
# AWK = nawk 


# This is for SVR4
# Contributed by mark@scot1.ucsalf.ac.uk
# FLAGSM = -DSVR4 -DSHADOW_PWD -DALLOW_CHANGE_PASSWORD
# LIBSM = -lsocket -lnsl -lc -L/usr/ucblib -lucb


# This is for the Motorola 88xxx/9xx range of machines
# Contributed by RPE@monnet.com
# FLAGSM = -DSVR4 -DSHADOW_PWD -DGETTIMEOFDAY1
# LIBSM = -lsocket -lnsl -lc -L/usr/ucblib -lucb


# This is for UNIXWARE
# FLAGSM = -Xa -DSVR4 -DSHADOW_PWD
# LIBSM = -lsocket -lnsl -lc -L/usr/ucblib -lucb


# This is for ULTRIX. Add -DULTRIX_AUTH for Ultrix enhanced security.
# contributed by iversen@dsfys1.fi.uib.no
# FLAGSM = -DULTRIX
# LIBSM =   


# This is for OSF1 (Alpha)
# contributed by errath@balu.kfunigraz.ac.at
# NOTE: You may need -warning_unresolved if you get unresolved symbols
# FLAGSM = -DOSF1
# LIBSM =

# This is for OSF1 with DCE/DFS
# contributed by Jim Doyle <doyle@oec.com>
# FLAGSM = -DOSF1 -DDFS_AUTH -DSIGCLD_IGNORE -DNO_SIGNAL_TEST
# LIBSM = -ldce -lpthreads -lmach -lc_r

# This is for OSF1 (Alpha) with NIS and Fast Crypt
# contributed by David Gardiner <dgardine@cssip.edu.au>
# FLAGSM = -DOSF1 -DNETGROUP -DUFC_CRYPT
# LIBSM =


# This is for OSF1 (Alpha) V2.0 Enhanced Security 
# contributed by Udo Linauer <ul@eacpc4.tuwien.ac.at>
# FLAGSM = -DOSF1 -DOSF1_ENH_SEC
# LIBSM = -lsecurity


# This is for AIX
# contributed by tomc@osi.curtin.edu.au
# FLAGSM = -DAIX
# LIBSM =   

# This is for AIX 3.2.5 with DCE/DFS
# contributed by Jim Doyle <doyle@oec.com>
# FLAGSM = -DAIX -DDFS_AUTH -DSIGCLD_IGNORE -DNO_SIGNAL_TEST
# LIBSM = -lc_r -ldce -lpthreads
# CC = cc_r

# This is for BSDI 
# contributed by tomh@metrics.com
# versions of BSDI prior to 2.0 may need to add -DUSE_F_FSIZE for 
# disk usage stats to be correct
# FLAGSM = -DBSDI
# LIBSM =   


# This is for NetBSD. Add -DNETBSD_1_0 if you are using 1.0
# contributed by noses@oink.rhein.de
# FLAGSM = -DNETBSD -DSHADOW_PWD
# LIBSM = -lcrypt 


# This is for SEQUENT. 
# Contributed by fwk@ix.netcom.com (Frank Keeney) and 
# rpwillia@Pentagon-EMH6.army.mil (Ray Williams)
# tested on DYNIX/ptx(R) V2.1.0
# FLAGSM = -DSEQUENT -DSHADOW_PWD -DHAVE_TIMEZONE
# LIBSM = -lrpc -lsocket -lPW -linet -lnsl -lseq -lsec


# This is for SEQUENT PTX 4.1.x
# Contributed by bressler@iftccu.ca.boeing.com (Rick Bressler)
# based on Keeny and Williams contribution.
# tested on DYNIX/ptx(R) V4.1.3
# FLAGSM = -DSEQUENT -DSHADOW_PWD -DHAVE_TIMEZONE -DPTX4
# LIBSM = -lrpc -lsocket -lPW -lnsl -lseq -lsec


# This is for HP-UX. Note that some systems don't like the -Aa switch.
# contributed by Pasi.Kaara@atk.tpo.fi
# You will need -DREPLACE_GETPASS if you use smb encryption
# FLAGSM = -DHPUX -Aa -D_HPUX_SOURCE -D_POSIX_SOURCE
# LIBSM = 

# This is for HP-UX with DCE/DFS
# contributed by Jim Doyle <doyle@oec.com>
# FLAGSM = -DHPUX -Aa -D_HPUX_SOURCE -D_POSIX_SOURCE -DDFS_AUTH -D_REENTRANT -I/usr/include/reentrant
# LIBSM = -ldce -lM -lc_r

# HP-UX 10.x Trusted System
# Contributed by David-Michael Lincke (dlincke@sgcl1.unisg.ch)
# FLAGSM = +O3 -Ae -DHPUX -DHPUX_10_TRUSTED
# LIBSM = -lsec


# This is for SGI.
# contributed by lpc@solomon.technet.sg (Michael Chua)
# FOR SGI IRIX 4.x.x, use the following line
# FLAGSM = -DSGI -DHAVE_TIMEZONE
# LIBSM = -lsun

# FOR SGI IRIX 5.x.x, use this line instead
# FLAGSM = -DSGI5 -DSHADOW_PWD -DHAVE_TIMEZONE
# LIBSM =


# This is for FreeBSD
# contributed by kuku@acds.physik.rwth-aachen.de
# NOTE: You may need to add -DBSD44 if you have password problems
# FLAGSM = -DFreeBSD
# LIBSM = -lcrypt 


# This is for NEXTSTEP Release 2.X
# No Posix.
# contributed by brad@cac.washington.edu (Brad Greer)
# FLAGSM = -DNEXT2 
# LIBSM = 

# This is for NEXTSTEP Release 3.0 and greater (including OPENSTEP for Mach).
# contributed by brad@cac.washington.edu (Brad Greer)
# additional configuration by pmarcos@next.com (Paul Marcos)
# For compiling n-way fat executables, you should append the appropriat -arch 
# flags to the FLAGSM variable.  Valid flags are:
#    -arch m68k
#    -arch i386
#    -arch hppa
#    -arch sparc
# To compile 4-way fat, you would append
#    -arch m68k -arch i386 -arch hppa -arch sparc
# FLAGSM = -DNEXT3_0
# LIBSM = 


# NOTE: ISC is also known as "INTERACTIVE"
# This is for Sunsoft ISC SVR3V4 running in POSIX mode
# contributed by pim@cti-software.nl (Pim Zandbergen)
# FLAGSM = -posix -D_SYSV3 -DISC -DSHADOW_PWD
# LIBSM = -lsec -lcrypt -linet

# This is for Sunsoft ISC SVR3V4 running in iBCS2 mode
# contributed by pim@cti-software.nl (Pim Zandbergen)
# FLAGSM = -D_POSIX_SOURCE -D_XOPEN_SOURCE -D_SYSV3\
#          -DISC -DSHADOW_PWD -DREPLACE_GETWD -DREPLACE_RENAME

## samba 1.9.18p8

=== source/Makefile ===
###########################################################################
# Makefile for Samba SMB client/server for unix
# Copyright Andrew Tridgell 1992-1998
# Copyright John H Terpstra 1995-1998
###########################################################################

# The base directory for all samba files
BASEDIR = /usr/local/samba

# The base manpages directory to put the man pages in
# Note: $(MANDIR)/man1, $(MANDIR)/man5 and $(MANDIR)/man8 must exist.
MANDIR = /usr/local/man

# The directories to put things in. If you use multiple
# architectures or share the samba binaries across NFS then
# you will probably want to change this layout.
# Note: The SBINDIR is for files you do not want users to access
#       normally only applies to nmbd and smbd
#       SBINDIR implies a secure binary directory
BINDIR = $(BASEDIR)/bin
SBINDIR = $(BASEDIR)/bin
LIBDIR = $(BASEDIR)/lib
VARDIR = $(BASEDIR)/var

# The permissions to give the executables
INSTALLPERMS = 0755

# Add any optimisation or debugging flags here
# add -DSYSLOG for syslog support
FLAGS1 = -O
LIBS1 = 

# You will need to use a ANSI C compiler. This means under SunOS 4 you can't 
# use cc, instead you will have to use gcc. 
# CC = gcc

# This may help with some versions of make
SHELL = /bin/sh

# The following can be useful for compiling on multiple architectures
# just uncommment them putting the right directory in.
# srcdir=./
# VPATH=$(srcdir)

# set these to where to find various files
# These can be overridden by command line switches (see smbd(8))
# or in smb.conf (see smb.conf(5))
SMBLOGFILE = $(VARDIR)/log.smb
NMBLOGFILE = $(VARDIR)/log.nmb
CONFIGFILE = $(LIBDIR)/smb.conf
LMHOSTSFILE = $(LIBDIR)/lmhosts
DRIVERFILE = $(LIBDIR)/printers.def
SMB_PASSWD = $(BINDIR)/smbpasswd
SMB_PASSWD_FILE = $(BASEDIR)/private/smbpasswd
WEB_ROOT = $(BASEDIR)

# the directory where lock files go
LOCKDIR = $(VARDIR)/locks

# The directory where code page definition files go
CODEPAGEDIR = $(LIBDIR)/codepages
# The current codepage definition list.
CODEPAGELIST= 437 737 850 852 861 932 866 949 950 936

# set this to the default group you want your machine to appear in
# for browsing. This can also be set in nmbd (see nmbd(8))
WORKGROUP = WORKGROUP

# set this to the name of the default account, which is the one
# to use when no username or password is specified.  This can be overridden
# in the runtime configuration file (see smb.conf(5))
# NOTE: The account "nobody" may not be a good one as
# on many unixes it may not be able to print. Thus you
# might have to create a separate guest account that can print.
GUESTACCOUNT = nobody

# where you are going to have the smbrun binary. This defaults to the 
# install directory. This binary is needed for correct printing
# and magic script execution. This should be an absolute path!
# Also not that this should include the name "smbrun" on the end (the
# name of the executable)
SMBRUN = $(BINDIR)/smbrun

#
# The following (PAM, AFS, DCE/DFS, Kerberos5, SMB) are the
# alternate choices for Samba authentication. If you are using
# the UNIX password database to authenticate users you do not
# need to uncomment any of them. If you wish to use one of these
# alternate methods then only uncomment one of them.

# This is for PAM authentication. RedHat Linux uses PAM.
# If you use PAM, then uncomment the following lines:
# PAM_FLAGS = -DUSE_PAM
# PAM_LIBS = -ldl -lpam

# This is for AFS authentication.  If you use AFS then set AFS_BASE 
# according to your system layout, and uncomment the other lines as well.
# AFS_BASE = /usr/afsws
# AFS_FLAGS = -DAFS_AUTH -I$(AFS_BASE)/include
# AFS_LIBDIR = $(AFS_BASE)/lib
# NOTE: You may need to add -laudit in the line below
# AFS_LIBS = -L$(AFS_LIBDIR) -L$(AFS_LIBDIR)/afs -lkauth -lprot -lubik \
#                -lauth -lrxkad -lsys -ldes -lrx -llwp -lcom_err \
#                $(AFS_LIBDIR)/afs/util.a

# This is for DCE/DFS enablement. Uncomment this so that smbd can
# operate as an authenticated user identity to operate on files that
# live in the DCE Distributed Filesystem.
# DCE_BASE = /opt/dcelocal
# DCE_FLAGS = -DDFS_AUTH -I$(DCE_BASE)/include
# DCE_LIBDIR = -L$(DCE_BASE)/lib
# DCE_LIBS =

# This is for Kerberos 5 authentication. Contributed by Nathan Neulinger
# Univ. of Missouri - Rolla <nneul@umr.edu>
# KRB5_BASE = /usr/local/krb5
# KRB5_FLAGS = -DKRB5_AUTH -I$(KRB5_BASE)/include
# KRB5_LIBS = -L$(KRB5_BASE)/lib -ldes425 -lkrb5 -lcrypto -lcom_err

# This is for Kerberos 4 authentication. Contributed by Johan Hedin
# Royal Institute of Technology, <johanh@fusion.kth.se>
# KRB4_BASE = /usr/athena
# KRB4_FLAGS = -DKRB4_AUTH -I$(KRB4_BASE)/include
# KRB4_LIBS = -L$(KRB4_BASE)/lib -lkrb -ldes -lresolv

######################################
# VTP-Support
#
# uncomment the following two lines to enable VTP-Support
#VTP_FLAGS = -DWITH_VTP
#VTP_OBJ = vt_mode.o
######################################

######################################
# WHICH AWK? awk is used for automatic prototype generation. GNU awk works
# where inferior awks don't. Sun is one manufacturer who supplies both
# a broken awk called 'awk' and a fixed one called 'nawk'. mkproto.awk will
# only work with the latter, and even that isn't as good as free GNU awk.
#
# Leave this uncommented; the OS-specific stuff will override it if required
AWK = awk
######################################

#####################################
# WHICH OPERATING SYSTEM?
# UNCOMMENT ONE OF THE SECTIONS BELOW
# MAKE SURE ONLY *ONE* IS UNCOMMENTED
#
# The following are additional flags that may apply
#   -DNETGROUP if your machine supports yp netgroups
#   -DAUTOMOUNT to ask for yp auto.home for users' home directories
#   -DNISPLUS add this to ask nis+ instead of yp for users' home directories
#   -DSHADOW_PWD if you are using shadow passwords
#   -DGETPWANAM if you wish to use getpwanam() call
#   -DPWDAUTH if you have and want to use the pwdauth() call
#   -DUFC_CRYPT if you want the fast crypt routine
#   -DALLOW_CHANGE_PASSWORD if you want users to be able to set their password
#                           remotely (only works on some systems)
#   -DQUOTAS for quota support in disk_free(). This probably only works 
#            on some systems.
#   -DFAST_SHARE_MODES if you want the fast shared memory instead of the
#                      slow description files for share mode locking. This
#                      requires the mmap() and fcntl() system calls.
#
#    NOTE: GETPWANAM & PWDAUTH are mutually exclusive, if you
#          Define one, you should NOT define the other.
#####################################

#####################################
# for the JAPANESE EXTENSION
# select filename's code set for KANJI/KANA in UNIX,
# apply the following flag
#   -DKANJI=\"<code>\"
#        <code> is select character code set for JAPAN.
#             sjis:   if your machine support SJIS
#             euc:      if your machine support EUC
#             jis7:     if your machine support JIS7
#             jis8:     if your machine support JIS8
#             junet:    if your machine support jis7 + junet rule
#             hex:      if your machine only support 7 bits ascii filename only
#                       convert to hexdecimal code preseeding ':'.
# see also README.jis
######################################


# This is for SUNOS 4. Use the SUNOS5 entry for Solaris 2.
# Note that you cannot use Suns "cc" compiler
# as it's not an Ansi-C compiler. Get gcc or acc. 
# Note that if you have adjunct passwords you may need the GETPWANAM 
# or PWDAUTH option. There have been reports that using PWDAUTH may crash
# your pwdauthd server so GETPWANAM is preferable (and probably faster)
# contributed by Andrew.Tridgell@anu.edu.au
# FLAGSM = -DSUNOS4 -DFAST_SHARE_MODES
# LIBSM =   
# AWK = nawk 

# If you are using Linux kernel version 2.1.70 and later, you should
# uncomment the following line to compile the smbmount utilities
# together with Samba. If you are using Linux kernel version 2.0.x
# you must use the smbfs utilities from
# ftp://ftp.gwdg.de/pub/linux/misc/smbfs

# MOUNT_PROGS = smbmount smbmnt smbumount

# Use this for Linux with shadow passwords - but not using PAM!
# contributed by Andrew.Tridgell@anu.edu.au
# add -DLINUX_BIGCRYPT is you have shadow passwords but don't have the
# right libraries and includes
# FLAGSM = -DLINUX -DSHADOW_PWD -DFAST_SHARE_MODES
# LIBSM = -lshadow

# Use this for Linux without shadow passwords or for any Linux
# system that uses PAM (eg: RedHat) in which case it handles ALL
# authentication methods that are supported by the version of
# PAM that is available on your system.
# contributed by Andrew.Tridgell@anu.edu.au & John.Terpstra@aquasoft.com.au
# AXPROC defines DEC Alpha Processor
# FLAGSM = -DLINUX -DAXPROC -DFAST_SHARE_MODES
# FLAGSM = -DLINUX -DFAST_SHARE_MODES
# LIBSM = 

# Use this for Linux with shadow passwords and quota - but not using PAM!
# contributed by xeno@mix.hive.no
# Tested on the 1.3.57 kernel and ext2fs filesystem.
# Notes:
# /usr/include/sys/quota.h must be a symlink to /usr/include/linux/quota.h
# The directory quota here must be a symlink to your quota package.
# I just do 'ln -sf /usr/src/quota-1.50 quota' in this directory to get it to work.
# FLAGSM = -O3 -m486 -DLINUX -DSHADOW_PWD -DQUOTAS -DFAST_SHARE_MODES
# LIBSM = -lshadow

# Use this for Linux with quota and glibc2 - not using PAM!
# contributed by Thorvald Natvig <slicer@bimbo.hive.no>
# Tested on the 2.0.30 kernel and ext2fs filesystem.
# FLAGSM = -DLINUX -DQUOTAS -DNO_ASMSIGNALH -DGLIBC2 -DFAST_SHARE_MODES
# LIBSM = -L/lib/libc5-compat -lcrypt

# Use this for Linux with glibc2 (libc6)
# contributed by Eloy Paris <peloy@ven.ra.rockwell.com>
# FLAGSM = -DLINUX -DNETGROUP -DSHADOW_PWD -DALLOW_CHANGE_PASSWORD -DFAST_SHARE_MODES -DNO_ASMSIGNALH -DGLIBC2
# LIBSM = -lnsl -lcrypt

# Use this for Linux with glibc2 (libc6) - RedHat Linux v5.0 with PAM
# contributed by John H Terpstra <jht@aquasoft.com.au>
# FLAGSM = -DLINUX -DNETGROUP -DALLOW_CHANGE_PASSWORD -DFAST_SHARE_MODES -DNO_ASMSIGNALH -DGLIBC2
# LIBSM = -lnsl -lcrypt

# This is for SUNOS5.4 and later (also known as Solaris 2.4 and later)
# contributed by Andrew.Tridgell@anu.edu.au
# FLAGSM = -DSUNOS5 -DSHADOW_PWD -DNETGROUP -DFAST_SHARE_MODES
# LIBSM = -lsocket -lnsl
# AWK = nawk 

# This is for SUNOS 5.2 and 5.3 (also known as Solaris 2.2 and 2.3)
# contributed by hdsi@newtech.net
# FLAGSM = -DSUNOS5 -DSHADOW_PWD -DNETGROUP -DNO_STRFTIME -DFAST_SHARE_MODES
# LIBSM = -lsocket -lnsl
# AWK = nawk 

# This is for UXP/DS
# contributed by dsfrost@oai6.yk.fujitsu.co.jp
# FLAGSM = -DSVR4 -DSHADOW_PWD
# LIBSM = -lsocket -lnsl

# This is for SVR4
# Contributed by mark@scot1.ucsalf.ac.uk
# FLAGSM = -DSVR4 -DSHADOW_PWD -DALLOW_CHANGE_PASSWORD
# LIBSM = -lsocket -lnsl -lc -L/usr/ucblib -lucb


# This is for the Motorola 88xxx/9xx range of machines
# Contributed by RPE@monnet.com
# FLAGSM = -DSVR4 -DSHADOW_PWD -DGETTIMEOFDAY1
# LIBSM = -lsocket -lnsl -lc -L/usr/ucblib -lucb


# This is for UnixWare 1.x.
# Contributed by Warren Young <tkennedy@cyberport.com>
#FLAGSM = -Xa -DSVR4 -DSHADOW_PWD
#LIBSM = -lsocket -lnsl -lc -L/usr/ucblib -lucb

# This is for UnixWare 2.x WITH libdes support.
# Contributed by tangent@cyberport.com
#FLAGSM = -Xa -DSVR4
#LIBSM = -lsocket -lnsl -lc -L/usr/ucblib -lucb

# This is for UnixWare 2.x WITHOUT libdes support.
# Contributed by tangent@cyberport.com
#FLAGSM = -Xa -DSVR4 -DIA_UINFO
#LIBSM = -lsocket -lnsl -lc -L/usr/ucblib -lucb -lcrypt -liaf

# This is for UNIXWARE 2.x with shadow passwords.
# Contributed by fja@extratech.com
#FLAGSM = -Xa -DSVR4 -DSHADOW_PWD
#LIBSM = -lsocket -lnsl -lc -L/usr/ucblib -lucb -lcrypt -lgen

# This is for ULTRIX. Add -DULTRIX_AUTH for Ultrix enhanced security.
# contributed by iversen@dsfys1.fi.uib.no
# FLAGSM = -DULTRIX
# LIBSM =   


# This is for OSF1 (Alpha)
# contributed by errath@balu.kfunigraz.ac.at
# NOTE: You may need -warning_unresolved if you get unresolved symbols

## samba 3.0.22-3maemo2

=== debian/changelog ===
samba (3.0.22-3maemo2) diablo; urgency=low

  * Section field in control file renamed to lowercase.

 -- Hallyson Melo <hallyson.melo@openbossa.org>  Fri, 03 Sep 2009 15:02:11 -0300

samba (3.0.22-3maemo1) diablo; urgency=low

  * smbpasswd included at samba main package.

 -- Andre Rodrigues <andre.rodrigues@signove.com>  Fri, 28 Aug 2009 12:02:01 -0300

samba (3.0.22-3) mistral; urgency=low

  * Alter debian scripts to work with busybox sed.

 -- Santtu Lakkala <inz@inz.fi>  Mon, 17 Jul 2006 11:28:44 +0300

samba (3.0.22-2) mistral; urgency=low

  * Remove bogus Dependencies from main package.

 -- Santtu Lakkala <inz@inz.fi>  Fri, 14 Jul 2006 11:16:29 +0300

samba (3.0.22-1) dapper; urgency=low

  * Build for maemo.

 -- Santtu Lakkala <inz@inz.fi>  Fri, 14 Jul 2006 10:23:20 +0300

samba (3.0.22-0) dapper; urgency=low

  * Config file changes only in this upload; no destabilising code changes.
  * Comment out the default [homes] shares and add more verbose comments to
    explain what they do and how they work (closes: launchpad.net/27608)
  * Add a "valid users = %S" stanza to the commented-out [homes] section, to
    show users how to restrict access to \\server\username to only username.
  * Change the (commented-out) "printer admin" example to use "@lpadmin"
    instead of "@ntadmin", since the lpadmin group is used for spool admin.
  * After much faff about fixing this properly and getting fixes
    submitted upstream (some of which has happened), I've concluded
    that getting every case_tables usage in the code nailed down
    before release just isn't going to happen, so applying a more
    global bandaid (ubuntu-setlocale-fixes.patch) instead to stop
    the SEGVs completely (closes: launchpad.net/{39990,39484,39956})
  * Snag a patch from upstream SVN to stop winbindd from panicking
    when not joined to a domain (closes: launchpad.net/32614)
  * Mangle patch fuzz for previous patch to make it apply cleanly.
  * Sync with Debian's new upstream (UVF exception granted by mdz) to
    resolve the information disclosure vuln reported in CVE-2006-1059
  * Make the panic-action script check for 'mail' before it goes about
    trying to backtrace crashes and mail to root (launchpad.net/32987)
  * Include patch from upstream to purge setlocale calls from the client
    library, so we don't break the desktop locale (launchpad.net/28603)
  * Make the samba and winbind init scripts more robust in the face of a
    tmpfs /var/run, creating directories as we go (launchpad.net/33389)
  * Fix up syntax error in the default config file (launchpad.net/37965)
  [ Steve Langasek ]
  * New upstream release
    - CAN-2006-1059: fixes an information leak in logfiles of systems using
      winbind with log level >= 5.
  * Fix a typo in the default smb.conf (closes: #354495).

  [ Noèl Köthe ]
  * replacing SMB with SMB/CIFS in the descriptions like
    named on the samba.org webpage. Closes: #356335

 -- Steve Langasek <vorlon@debian.org>  Sun, 12 Mar 2006 22:40:28 +0100

samba (3.0.21c-1ubuntu1) dapper; urgency=low

  * Merge with Debian for new upstream bugfixes, UVF exception by mdz.
  * Remove dapper->dapper upgrade hack, which should be a non-issue now.

 -- Adam Conrad <adconrad@ubuntu.com>  Fri, 24 Mar 2006 02:59:17 +1100

samba (3.0.21c-1) unstable; urgency=low

  * New upstream release
  * add a few logon-related parameters as good and safe
    examples for *DC-type settings. Closes: #349051
  * add an example "add user script". Closes: #349050
  * drop outdated information from the smbfs package description
    Closes: #352828

 -- Christian Perrier <bubulle@debian.org>  Sat, 25 Feb 2006 11:58:45 +0100

samba (3.0.21b-1ubuntu2) dapper; urgency=low

  * Due to a misplaced file in older samba packages, temporarily make
    python2.4-samba Replace samba for smooth dapper->dapper upgrades.

 -- Adam Conrad <adconrad@ubuntu.com>  Thu, 23 Feb 2006 20:33:34 +1100

samba (3.0.21b-1ubuntu1) dapper; urgency=low

  * Sync with Debian's new upstream release (UVF exception granted by Colin),
    which fixes several nasty crashes, as well as a vicious memory leak in
    winbind that can OOM a machine within days (Closes: launchpad.net/32440)
  * Resolve some fairly scary merge conflicts from Debian's switch to quilt.
  * Revert Debian's installation of mount.cifs and umount.cifs as suid until
    Martin Pitt and I have had a chance to review/discuss this for Ubuntu.

 -- Adam Conrad <adconrad@ubuntu.com>  Thu, 23 Feb 2006 15:23:37 +1100

samba (3.0.21b-1) unstable; urgency=low

  * The "Tridge" release: celebrates the 2005 Free Software Award winner

  * New upstream release

  * Upstream bugs fixed by the new upstream release:
    - Support changing expired passwords in
      pam_winbindd. Closes: #258302
    - vfs_full_audit fixes for multiple connections. Closes: #348419
    - crashes of smbd in security=server mode
      Closes: #346045, #346069, #350598, #351448

  [ Peter Eisentraut ]
  * Put correct paths for Debian installations into the man pages, and
    remove outdated swat setup instructions therein. Closes: #321005
  * Fix lintian overrides and install them into the right packages.
  * Remove swat inetd registration in remove, not purge. Closes: #313214
  * Add findsmb script. Closes: #231806
  * Fix sonames of libnss_win{bind,s}.so. Closes: #333290
  * Remove autoconf build dependency.
  * Remove remnants of old patch system.
  * Install smbumount setgid root. Closes: #253437
  * Add watch file.
  * Activate kernel oplocks. Closes: #218511
  * Disable PIE compilation. Closes: #346416

  [ Christian Perrier ]
  * activate building of idmap_rid. Closes: #284681.
    Thanks to Ubuntu patches
  * activate building of idmap_ad. Closes: #341814
  * modify the long description of the libsmbclient-dev package to
    avoid repeating the long description. Thanks, linda.

  [ Steve Langasek ]
  * Also enable setresuid()/setresgid() on alpha and sparc now that support
    for Linux 2.2 is dropped.


=== debian/control ===
Source: samba
Section: net
Priority: optional
Maintainer: Santtu Lakkala <inz@inz.fi>
Build-Depends: debhelper (>= 4.1.13), libacl1-dev (>= 2.2.11-1) [i386 ia64 alpha amd64 armeb arm hppa m32r m68k mips mipsel powerpc ppc64 s390 s390x sh3 sh3eb sh4 sh4eb sparc], po-debconf, binutils (>= 2.14.90.0.7), libpopt-dev, dpkg-dev (>= 1.13.9)
Standards-Version: 3.6.2

Package: samba
Section: user/tools
Architecture: any
Depends: samba-common (>= ${Source-Version}), netbase, ${shlibs:Depends}, ${misc:Depends}
Recommends: smbldap-tools
Replaces: samba-common (<= 2.0.5a-2)
Description: a LanManager-like file and printer server for Unix
 The Samba software suite is a collection of programs that
 implements the SMB/CIFS protocol for unix systems, allowing you to serve
 files and printers to Windows, NT, OS/2 and DOS clients. This protocol
 is sometimes also referred to as the LanManager or NetBIOS protocol.
 .
 This package contains all the components necessary to turn your
 Debian GNU/Linux box into a powerful file and printer server.
 .
 Currently, the Samba Debian packages consist of the following:
 .
  samba - LanManager-like file and printer server for Unix.
  samba-common - Samba common files used by both the server and the client.
  smbclient - LanManager-like simple client for Unix.
  swat - Samba Web Administration Tool
  samba-doc - Samba documentation.
  samba-doc-pdf - Samba documentation in PDF format.
  smbfs - Mount and umount commands for the smbfs (kernels 2.2.x and above).
  libsmbclient - Shared library that allows applications to talk to SMB/CIFS servers
  libsmbclient-dev - libsmbclient shared libraries
 .
 It is possible to install a subset of these packages depending on
 your particular needs. For example, to access other SMB/CIFS servers you
 should only need the smbclient and samba-common packages.
 .
 http://www.samba.org/

Package: smbclient
Architecture: any
Section: user/tools
Depends: samba-common (= ${Source-Version}), ${shlibs:Depends}
Replaces: samba (<< 2.999+3.0.alpha21-4), smbget
Conflicts: smbget
Provides: samba-client
Suggests: smbfs
Description: a LanManager-like simple client for Unix
 The Samba software suite is a collection of programs that
 implements the SMB/CIFS protocol for unix systems, allowing you to serve
 files and printers to Windows, NT, OS/2 and DOS clients. This protocol
 is sometimes also referred to as the LanManager or NetBIOS protocol.
 .
 This package contains some client components of the Samba suite. In
 particular it includes the command line utilities smbclient, smbtar,
 and smbspool. If you want to mount shares exported from Microsoft
 Windows machines or a Samba server you must install the smbfs package.

Package: swat
Architecture: any
Section: user/tools
Depends: samba (= ${Source-Version}), samba-doc (= ${Source-Version}), ${shlibs:Depends}, ${misc:Depends}, netbase
Description: Samba Web Administration Tool
 The Samba software suite is a collection of programs that
 implements the SMB/CIFS protocol for unix systems, allowing you to serve
 files and printers to Windows, NT, OS/2 and DOS clients. This protocol
 is sometimes also referred to as the LanManager or NetBIOS protocol.
 .
 This package contains the components of the Samba suite that are needed
 for Web administration of the Samba server.

Package: samba-doc
Section: doc
Architecture: all
Suggests: samba-doc-pdf
Description: Samba documentation
 The Samba software suite is a collection of programs that
 implements the SMB/CIFS protocol for unix systems, allowing you to serve
 files and printers to Windows, NT, OS/2 and DOS clients. This protocol
 is sometimes also referred to as the LanManager or NetBIOS protocol.
 .
 This package contains all the documentation that comes in the original
 tarball, except in PDF format.

Package: samba-doc-pdf
Section: doc
Architecture: all
Description: Samba documentation (PDF format)
 The Samba software suite is a collection of programs that
 implements the SMB/CIFS protocol for unix systems, allowing you to serve
 files and printers to Windows, NT, OS/2 and DOS clients. This protocol
 is sometimes also referred to as the LanManager or NetBIOS protocol.
 .
 This package contains all the documentation that comes in the original
 tarball in PDF format.

Package: smbfs
Section: user/tools
Priority: optional
Architecture: any
Depends: netbase (>= 2.02), samba-common (= ${Source-Version}), ${shlibs:Depends}
Suggests: smbclient
Replaces: smbfsx
Conflicts: smbfsx, suidmanager (<< 0.50)
Description: mount and umount commands for the smbfs (for kernels >= than 2.2.x)
 Smbfs is a filesystem which understands the SMB/CIFS protocol.
 This is the protocol Windows for Workgroups, Windows NT or
 LAN Manager use to talk to each other. It was inspired by
 samba, the program by Andrew Tridgell that turns any unix
 site into a file server for DOS or Windows clients.
 .
 If you want to use command-line utilities like smbclient, smbtar
 and/or smbspool you just need to install the smbclient package.

Package: libsmbclient
Section: libs
Priority: optional
Architecture: any
Depends: ${shlibs:Depends}
Description: shared library that allows applications to talk to SMB/CIFS servers
 libsmbclient allows to write applications that use the SMB/CIFS protocol.
 This gives applications the ability to talk to Microsoft Windows servers
 and Unix servers running Samba.
 .
 This package contains the libsmbclient shared library.

Package: libsmbclient-dev
Section: libdevel
Priority: extra
Architecture: any
Depends: libsmbclient (= ${Source-Version})
Description: libsmbclient static libraries and headers
 libsmbclient allows to write applications that use the SMB/CIFS protocol.
 This gives applications the ability to talk to Microsoft Windows servers
 and Unix servers running Samba.
 .
 This package contains libraries and headers needed to build applications
 that use SMB/CIFS services.

Package: samba-dbg
Section: devel
Architecture: any
Depends: samba (= ${Source-Version})
Description: Samba debugging symbols
 The Samba software suite is a collection of programs that
 implements the SMB/CIFS protocol for unix systems, allowing you to serve
 files and printers to Windows, NT, OS/2 and DOS clients. This protocol
 is sometimes also referred to as the LanManager or NetBIOS protocol.
 .
 This package contains debugging symbols for the programs included in
 the samba and smbclient packages.

=== debian/rules ===
#!/usr/bin/make -f
# 
# Important modifications (introduction of a saved config.cache to
#	solve build problems) introduced in Samba 2.2.1a-5. These
#	modification were made by Steve Langasek <vorlon@netexpress.net>.
#
#

# Uncomment this to turn on verbose mode. 
#export DH_VERBOSE=1

# This is the debhelper compatability version to use.
export DH_COMPAT=4

# This has to be exported to make some magic below work.
export DH_OPTIONS

# Set the host and build architectures for use with config.cache loading,
# cross-building, etc.
DEB_HOST_GNU_TYPE	:= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE	:= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
DEB_HOST_ARCH_OS	:= $(shell dpkg-architecture -qDEB_HOST_ARCH_OS)

export DEB_HOST_GNU_TYPE
export DEB_BUILD_GNU_TYPE
export DEB_HOST_ARCH_OS

CFLAGS = -g -Wall

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
  CFLAGS += -O0
else
  CFLAGS += -O2
endif

ifneq (,$(findstring thumb,$(DEB_BUILD_OPTIONS)))
  CFLAGS += -mthumb
endif

DESTDIR=`pwd`/debian/tmp

conf_args = \
		--cache-file=./config.cache \
		--with-fhs \
		--enable-shared \
		--enable-static \
		--disable-pie \
		--prefix=/usr \
		--sysconfdir=/etc \
		--libdir=/etc/samba \
		--with-privatedir=/etc/samba \
		--with-piddir=/var/run/samba \
		--localstatedir=/var \
		--without-netatalk \
		--without-pam \
		--with-syslog \
		--with-utmp \
		--without-readline \
		--without-pam_smbpass \
		--with-libsmbclient \
		--without-winbind \
		--with-shared-modules=idmap_rid,idmap_ad \
		--without-msdfs \
		--without-automount \
		--without-tdbsam \
		--without-ldap \
		--without-python

ifeq ($(DEB_HOST_ARCH_OS),linux)
  conf_args += \
		--with-smbmount \
		--with-acl-support \
		--with-quotas
  mount_cifs	= yes
  smbfs		= yes
else
  conf_args +=	--without-quotas
  mount_cifs	= no
  smbfs		= no
endif

ifeq ($(DEB_BUILD_GNU_TYPE), $(DEB_HOST_GNU_TYPE))
  conf_args += --build $(DEB_HOST_GNU_TYPE)
else
  conf_args += --build $(DEB_BUILD_GNU_TYPE) --host $(DEB_HOST_GNU_TYPE)
endif

configure: patch configure-stamp
configure-stamp:
	dh_testdir

	if [ -f debian/config.cache ]; then \
		cp -f debian/config.cache source/config.cache; \
	fi

	[ -f source/Makefile ] || (cd source && CFLAGS="$(CFLAGS)" ./configure $(conf_args))

	touch configure-stamp

build: configure build-stamp
build-stamp:
	dh_testdir

	$(MAKE) -C source headers
	$(MAKE) -C source all nsswitch/libnss_wins.so
ifeq ($(mount_cifs),yes)
	$(MAKE) -C source client/mount.cifs client/umount.cifs
endif

	touch build-stamp

clean:	clean-patched unpatch

clean-patched: 
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	# Clean first the Samba package
	-$(MAKE) -C source distclean

	# Delete stuff left after a build that is not deleted by 'make clean'
	rm -f source/bin/wbinfo source/bin/debug2html \
		source/bin/libsmbclient.a \
		source/client/mount.cifs source/client/umount.cifs \
		source/include/stamp-h

	# No type-handling in ubuntu main
	#sed -e "s/@libacl@/`type-handling any linux-gnu`/g" \
	#	< debian/control.in > debian/control

	dh_clean

install: DH_OPTIONS=
install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	mkdir -p $(DESTDIR)/usr/share/man $(DESTDIR)/usr/lib/samba \
	         $(DESTDIR)/lib/security $(DESTDIR)/sbin \
	         $(DESTDIR)/usr/lib/cups/backend $(DESTDIR)/usr/share/samba \
	         $(DESTDIR)/etc/dhcp3/dhclient-enter-hooks.d
#	         $(DESTDIR)/usr/lib/python2.4/site-packages/samba

	# Add here commands to install the package into debian/tmp.
	$(MAKE) -C source install DESTDIR=$(DESTDIR)

	# libsmbclient files are not installed by the standard
	#	'make install' - do it manually.
	$(MAKE) -C source installclientlib DESTDIR=$(DESTDIR)
	mv $(DESTDIR)/usr/lib/samba/libsmbclient.so $(DESTDIR)/usr/lib/samba/libsmbclient.so.0.1
	ln -s libsmbclient.so.0.1 $(DESTDIR)/usr/lib/samba/libsmbclient.so.0
	ln -s libsmbclient.so.0.1 $(DESTDIR)/usr/lib/samba/libsmbclient.so

	# Starting with Samba 3.0.6 libsmbclient.so is installed in
	# /usr/lib/samba. We don't want it there since it is not in the
	# default library path. Here we move it to /usr/lib/.
	mv $(DESTDIR)/usr/lib/samba/libsmbclient* \
		$(DESTDIR)/usr/lib/

	# Install other stuff not installed by "make install"
	install -m 0755 debian/mksmbpasswd.awk $(DESTDIR)/usr/sbin/mksmbpasswd

	# Install libnss_wins.so, which is not installed by 'make install' either.
	install -m 0644 source/nsswitch/libnss_wins.so \
		$(DESTDIR)/lib/libnss_wins.so.2

ifeq ($(smbfs),yes)
	# Create the symlinks that will allow us to do "mount -t smbfs ..."
	# and "mount -t smb ...". Note that the source/script/installbin.sh
	# tries to create the first symlink, but we have commented
	# that code out and do everything here. We also create
	# symlinks for the man pages.
	ln -sf /usr/bin/smbmount $(DESTDIR)/sbin/mount.smbfs
	ln -sf /usr/bin/smbmount $(DESTDIR)/sbin/mount.smb
	ln -sf smbmount.8 $(DESTDIR)/usr/share/man/man8/mount.smb.8
	ln -sf smbmount.8 $(DESTDIR)/usr/share/man/man8/mount.smbfs.8
endif

ifeq ($(mount_cifs),yes)
	install -m 0755 source/client/mount.cifs $(DESTDIR)/sbin/
	install -m 0755 source/client/umount.cifs $(DESTDIR)/sbin/
endif

	# For CUPS to support printing to samba printers, it's necessary
	#	to make the following symlink (according to
	#	Erich Schubert <debian@vitavonni.de> in #109509):
	ln -s ../../../bin/smbspool $(DESTDIR)/usr/lib/cups/backend/smb

	# Install man pages for files without man pages in the upstream sources
	install -m 0644 debian/mksmbpasswd.8 $(DESTDIR)/usr/share/man/man8/mksmbpasswd.8

	# Install samba-common's conffiles - they'll get moved later to their
	#	correct place by dh_movefiles.
	cp debian/smb.conf $(DESTDIR)/usr/share/samba/
	install -m755 debian/panic-action $(DESTDIR)/usr/share/samba/
	cp debian/gdbcommands $(DESTDIR)/etc/samba/
	install -m755 debian/samba-common.dhcp $(DESTDIR)/etc/dhcp3/dhclient-enter-hooks.d/samba

	# Install the Python modules
	#
	# Hmmm... need to figure this out. We have lib.linux-i686-2.2
	# and lib.linux-i686-2.4 directories. Using only the stuff from
	# the 2.4 directory for now. peloy.-
	#cp source/build/lib.*/samba/*.so $(DESTDIR)/usr/lib/python2.4/site-packages/
#	cp source/build/lib.*-*-2.4/samba/*.so $(DESTDIR)/usr/lib/python2.4/site-packages/samba/
#	cp source/python/samba/* $(DESTDIR)/usr/lib/python2.4/site-packages/samba/

	dh_movefiles

# Build architecture-independent files here.
# Pass -i to all debhelper commands in this target to reduce clutter.
binary-indep: DH_OPTIONS=-i
binary-indep: build install
	dh_testdir
	dh_testroot
	dh_installdebconf
	dh_installdocs -A debian/README.build
	# Ignore COPYING. Otherwise, an extra copy of the GPL licence 
	# in smbldap-tools example is included in samba-doc
	dh_installexamples -Xsmbldap-tools-*
#	dh_installmenu
#	dh_installemacsen
#	dh_installpam
#	dh_installinit
#	dh_installcron
#	dh_installmanpages
#	dh_installinfo
#	dh_undocumented
	dh_installchangelogs
	dh_link
	dh_compress
	dh_fixperms
	dh_installdeb
#	dh_perl
	dh_gencontrol
	dh_md5sums
	dh_builddeb

# Build architecture-dependent files here.
# Pass -a to all debhelper commands in this target to reduce clutter.
ifeq ($(smbfs),no)
  DH_EXTRAS=-Nsmbfs
endif

binary-arch: DH_OPTIONS=-a $(DH_EXTRAS)
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installdebconf
	dh_installdocs -A debian/README.build
	dh_installexamples
#	dh_installmenu
	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
	DH_OPTIONS= dh_installinit -psamba -- "defaults 20 19"
	dh_installcron 
#	dh_installmanpages
#	dh_installinfo
	for pkg in samba smbfs; do \
	  install -m 0644 -D debian/$$pkg.lintian debian/$$pkg/usr/share/lintian/overrides/$$pkg || exit; \
	done
#	dh_undocumented
	dh_installchangelogs -Nlibpam-smbpass
	dh_strip --dbg-package=samba --dbg-package=smbclient
	cp -a debian/smbclient-dbg/* debian/samba-dbg
	rm -rf debian/smbclient-dbg
	dh_link
	dh_compress
	dh_fixperms

	# Upstream makefile installs this using "install" without -m, so

## samba 3.0.28a

=== examples/libmsrpc/cacusermgr/Makefile ===
CC=gcc
INCLUDES= -I`pwd` -I../../../source/ -I../../../source/include -I../../../source/ubiqx

DEFS= -D_LARGEFILE64_SOURCE -D_FILE_OFFSET_BITS=64 -D_GNU_SOURCE

CFLAGS= -g -Wall -ansi $(INCLUDES) 

OBJ= util.o mgr_group.o mgr_user.o

LDFLAGS=-L. -L../../bin/ 
LIBS=../../../source/bin/libmsrpc.so

all: cacusermgr

cacusermgr: cacusermgr.o $(OBJ)
	$(CC) $(CFLAGS) $(LDFLAGS) -o $@ $< $(OBJ) $(LIBS)

.c.o:
	$(CC) $(CFLAGS) -c $< -o $@

clean:
	rm -f *.o cacusermgr
